Subject: Re: OT:RE: CD-based distribution (was Another website....)
From: [email-masked] (Jeff Sturm)

16 Aug 1998 06:48:19 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

Keep in mind that RPM is a package database, not a user interface.  A
GNU-win32 distribution shouldn't require users to invoke 'rpm' at the
command line.  Redhat Linux doesn't, which is based entirely on rpm...

I'd like to see an InstallShield-based installation wrapper which
invokes rpm silently.  The Redhat glint tool may be useful too.  If
python is available under cygwin32 we may be able to port glint
directly.

[email-masked] wrote:
> 
> #Well, I couldn't really say anything about the Debian tools since I've
> #never used the Debian distribution, only RedHat and Slackware.  The rpm
> #port to cygwin32 that I have seen is solid, and works fine with source
> #rpms (haven't tried binary so don't quote me on this :).
> 
> I said InstallShield because I thought that this was the best installer from a
> Win32 level. Does 'rpm' etc work at the Win32 level, otherwise it's worse
> than useless for the initial install.
> 
> Of course, it should go without saying that the package should be able to
> be uninstalled cleanly, (leaving not a trace of itself on the system).
> 
> Bob Cross.
> Apologies for my lack of knowledge.

-- 
Jeff Sturm
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".